BuildBundleRepoDescriptorTask
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class BuildBundleRepoDescriptorTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.BuildBundleRepoDescriptorTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class BuildBundleRepoDescriptorTask

extends IvyTask

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`BuildBundleRepoDescriptorTask()`

Method Summary
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`protected void` | `prepareTask()` Called when task starts its execution.
`void` | `setBaseDir(java.io.File dir)`
`void` | `setCache(java.lang.String cacheName)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setIndent(boolean indent)`
`void` | `setOut(java.io.File file)`
`void` | `setQuiet(boolean quiet)`
`void` | `setResolver(java.lang.String resolverName)`

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuildBundleRepoDescriptorTask

    public BuildBundleRepoDescriptorTask()

Method Detail

### setResolver

    public void setResolver(java.lang.String resolverName)

### setCache

    public void setCache(java.lang.String cacheName)

### setOut

    public void setOut(java.io.File file)

### setEncoding

    public void setEncoding(java.lang.String encoding)

### setIndent

    public void setIndent(boolean indent)

### setBaseDir

    public void setBaseDir(java.io.File dir)

### setQuiet

    public void setQuiet(boolean quiet)

### prepareTask

    protected void prepareTask()

  Description copied from class: `IvyTask`
  Called when task starts its execution.

  Overrides:
    `prepareTask` in class `IvyTask`

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD